Subject: Re: [PATCH] powerpc/cell: Only build Axon MSI driver for IBM Cell Blades

From: Olof Johansson <[email-masked]>
Date: Thu, 5 Mar 2009 14:08:29 -0600

On Fri, Mar 06, 2009 at 01:07:05AM +1100, Michael Ellerman wrote:
> On Thu, 2009-03-05 at 01:13 -0600, Olof Johansson wrote:
> > On Thu, Mar 05, 2009 at 03:41:41PM +1100, Michael Ellerman wrote:
> > > The hardware is only present on those machines, and the driver
> > > depends on infrastructure which is selected by the Kconfig for
> > > cell blades.
> > 
> > Wouldn't it make more sense to make a separate (AXON_MSI) config option
> > depend on PPC_IBM_CELL_BLADE?
> 
> Maybe, it would make the makefile cleaner, at the expense of a bit more
> Kconfig. I'm not sure what people prefer, I guess I'm neutral and you're
> voting for the latter, so I'll respin it that way :)

Yeah, I'm not really that picky either, it just set off a red flag
w.r.t. setting a bad precedence on ifdef:ing in the makefile instead of
Kconfig engineering. Slippery slope and all that.

-Olof